org.jbpm.process.audit.query

## Class VarInstLogQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>
    - - org.jbpm.process.audit.query.VarInstLogQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder>, org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder

      public class VarInstLogQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>
      implements org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VarInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `VarInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `externalId(String... externalId)`
    `protected Class` | `getQueryType()`
    `protected Class<org.kie.api.runtime.manager.audit.VariableInstanceLog>` | `getResultType()`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `last()`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `oldValue(String... oldVvalue)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `value(String... value)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableId(String... variableId)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceId(String... variableInstanceId)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableValue(String variableId, String value)`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### VarInstLogQueryBuilderImpl

          public VarInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### VarInstLogQueryBuilderImpl

          public VarInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### variableInstanceId

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceId(String... variableInstanceId)

      Specified by:
        `variableInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### variableId

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableId(String... variableId)

      Specified by:
        `variableId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### value

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder value(String... value)

      Specified by:
        `value` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### oldValue

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder oldValue(String... oldVvalue)

      Specified by:
        `oldValue` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### variableValue

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableValue(String variableId,
                                                                                                            String value)

      Specified by:
        `variableValue` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### externalId

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder externalId(String... externalId)

      Specified by:
        `externalId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### last

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder last()

      Specified by:
        `last` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

    - #### getResultType

          protected Class<org.kie.api.runtime.manager.audit.VariableInstanceLog> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.